%define upstream_name	 DBIx-SearchBuilder
%define upstream_version 1.63

%define _requires_exceptions perl(DBD::Oracle)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Database-independent schema objects
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Encapsulate SQL queries and rows in simple perl object
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::Simple::TimedExpiry) >= 0.210.0
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::ReturnValue) >= 0.400.0
BuildRequires: perl(Clone)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::DBSchema)
BuildRequires: perl(Encode) >= 1.990.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.520.0
BuildRequires: perl(Want)
BuildRequires: perl(capitalization) >= 0.30.0
BuildArch:  noarch

%description
This module provides an object-oriented mechanism for retrieving and updating
data in a DBI-accesible database.

In order to use this module, you should create a subclass of
DBIx::SearchBuilder and a subclass of DBIx::SearchBuilder::Record for each
table that you wish to access. (See the documentation of
DBIx::SearchBuilder::Record for more information on subclassing it.)

Your DBIx::SearchBuilder subclass must override NewItem, and probably should
override at least _Init also; at the very least, _Init should probably call
_Handle and _Table to set the database handle (a DBIx::SearchBuilder::Handle
object) and table name for the class. You can try to override just about
every other method here, as long as you think you know what you are doing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -name \*.pm | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README ROADMAP SIGNATURE ex
%{perl_vendorlib}/DBIx
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.630.0-2.mga3
+ Revision: 365172
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.630.0-1.mga3
+ Revision: 294945
- update to 1.63

* Tue Jun 05 2012 jquelin <jquelin> 1.620.0-1.mga3
+ Revision: 254787
- update to 1.62

* Fri Oct 14 2011 jquelin <jquelin> 1.610.0-1.mga2
+ Revision: 154723
- update to 1.61

* Sat Jan 22 2011 jquelin <jquelin> 1.590.0-1.mga1
+ Revision: 32743
- mageia rebuild
- imported package perl-DBIx-SearchBuilder

